Enable Collection
This API helps in enabling a collection.
If the API returns the error code COL016, then add parent_id in request body parameters with state param.
Endpoints
OAuth Scope
WorkDrive.Collection.UPDATECopied!
curl --request PATCH \
--url https://www.zohoapis.com/workdrive/api/v1/collections/{collection_id} \
--header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
--header 'content-type: application/vnd.api+json' \
--data '{"data":{"attributes":{"state":"reactivate"},"type":"collections"}}'Path Parameters
collection_idstring(Required)
A unique ID that represents a collection.
Request Body
application/vnd.api+jsondataJSON Object(Required)
Hide Sub-Attributes
attributesJSON Object(Required)
Hide Sub-Attributes
statestring(Required)
Set the state as "reactivate" to enable the collection.
typestring(Required)
The JSON:API resource type. Always "collections".
Allowed Values :
Show Values ▾
collectionsCopied!
Copy all as JSON Array
{
"data": {
"attributes": {
"state": "reactivate"
},
"type": "collections"
}
}
{
"data": {
"id": "vx57jc433ffa2c7524c51a5205d1849bc92fa",
"type": "collections",
"attributes": {
"modified_time_i18": "May 9, 5:42 PM",
"modifier_name": "Anna Baker",
"link": "https://www.zohoapis.com/workdrive/collection/vx57jc433ffa2c7524c51a5205d1849bc92fa",
"input_fields": [],
"expiration_date": "May 20, 2021, 11:45 AM",
"expiration_date_in_millis": 1621491300000,
"created_time_i18": "Aug 9, 5:42 PM",
"request_user_data": false,
"total_uploads": 11,
"modified_time": "May 9, 5:42 PM",
"modified_time_in_millis": 1620562320000,
"total_submissions": 23,
"upload_file_size_limit_in_bytes": 10485760,
"created_time": "May 9, 5:42 PM",
"notify_every_submissions": true,
"upload_file_size_limit": "10 MB",
"set_upload_limit": false,
"override_name_exist": false,
"is_external": false,
"personal_note": "Analysis potential leads and assign them to the Sales team",
"is_expired": false,
"upload_limit_per_user": 0,
"parent_id": "vx57jc433ffa2c7524c51a5205d1849bc92fa",
"created_time_in_millis": 1620562320000,
"creator_name": "Anna Baker",
"space_id": "15532088",
"collection_name": "Event Leads",
"uploader_note": "Share all leads that you have collected in the recent Dubai Trade Fair",
"status": 1
},
"relationships": {
"submissions": {
"links": {
"self": "https://www.zohoapis.com/workdrive/api/v1/collections/7lse92d3ced8a860d4efca7ba1648f7e3f69d/relationships/submissions",
"related": "https://www.zohoapis.com/workdrive/api/v1/collections/7lse92d3ced8a860d4efca7ba1648f7e3f69d/submissions"
}
}
},
"links": {
"self": "https://www.zohoapis.com/workdrive/api/v1/collections/7lse92d3ced8a860d4efca7ba1648f7e3f69d"
}
}
}
{
"errors": [
{
"id": "COL020",
"title": "Collection disabled by the admin"
}
]
}
{
"errors": [
{
"id": "COL001",
"title": "Invalid collection name"
}
]
}
{
"errors": [
{
"id": "COL011",
"title": "For link visibility with 'Anyone on the Internet', the request user data attribute is mandatory"
}
]
}
{
"errors": [
{
"id": "COL022",
"title": "Only name parameter applicable for internal collection"
}
]
}
{
"errors": [
{
"id": "COL014",
"title": "Collection not in an active state"
}
]
}
{
"errors": [
{
"id": "COL005",
"title": "The expiration date format should be in yyyy-mm-dd or yyyy-m-d hh:mm"
}
]
}
{
"errors": [
{
"id": "COL015",
"title": "To re-enable or delete a collection, it must be in a completed state"
}
]
}
{
"errors": [
{
"id": "COL007",
"title": "Upload limit cannot be less than or equal to zero"
}
]
}
{
"errors": [
{
"id": "COL006",
"title": "The expiration date cannot be in the past"
}
]
}
{
"errors": [
{
"id": "COL009",
"title": "Upload file limit not matching"
}
]
}
{
"errors": [
{
"id": "COL010",
"title": "Invalid file size format"
}
]
}
{
"errors": [
{
"id": "COL021",
"title": "Each user each folder field must be in anyone of request user data"
}
]
}
© 2026, Zoho Corporation Pvt. Ltd. All Rights Reserved.